package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbagedangerTrend;
import com.lightinit.hsdatashow.entity.GarbagedangerTrendExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GarbagedangerTrendMapper {
    long countByExample(GarbagedangerTrendExample example);

    int deleteByExample(GarbagedangerTrendExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GarbagedangerTrend record);

    int insertSelective(GarbagedangerTrend record);

    List<GarbagedangerTrend> selectByExample(GarbagedangerTrendExample example);

    GarbagedangerTrend selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GarbagedangerTrend record, @Param("example") GarbagedangerTrendExample example);

    int updateByExample(@Param("record") GarbagedangerTrend record, @Param("example") GarbagedangerTrendExample example);

    int updateByPrimaryKeySelective(GarbagedangerTrend record);

    int updateByPrimaryKey(GarbagedangerTrend record);

    List<GarbagedangerTrend> getGarbagedangerTrend(int year);
}